// Imports
@use "variables" as var;

// Actual Styling
.filter-arrow-active {
  color: var(--background-default-grey);
}

.filter-arrow-not-active {
  color: var(--text-disabled-grey);
}

.filter-arrow-container {
  padding: 4px 8px;
  background-color: var(--background-default-grey);
  border-bottom-right-radius: 16px;
  border-top-right-radius: 16px;

  &.filter-arrow-container-not-activated {
    background-color: var(--background-disabled-grey);
  }

  &.filter-arrow-container-activated {
    background-color: var(--filter-color);
    position: relative;

    &:after {
      content: '';
      background-color: var(--text-active-blue-france);
      height: 12px;
      width: 12px;
      border-radius: 50%;
      position: absolute;
      top: -1px;
      right: -1px;
    }
  }
}

[class^="fr-icon-"]:before {
  --icon-size: 16px;
}
